FROM registry.hub.docker.com/library/debian:bullseye-slim

# caqtdm is not absolutely required, but removes some warnings 
RUN apt-get update -y \
    && apt-get install -y build-essential cmake perl libswitch-perl \
                          libspdlog-dev catch python3-dev git python3-pybind11

RUN useradd -rm -d /home/controls -s /bin/bash -g root -G sudo -u 1001 controls
USER controls
WORKDIR /home/controls
RUN git clone --recurse-submodules https://git.ligo.org/ezekiel.dohmen/rtslib.git
WORKDIR /home/controls/rtslib
RUN make x1unittest
RUN make test
